claw::graphic::targa::file_structure::footer Class Reference

Footer of a targa file. More...

`#include <targa.hpp>`

## Public Member Functions

| footer ()
| Constructor.
bool | is_valid () const
| Tell if the data of this footer is valid.

## Public Attributes

unsigned int | extension_offset
| Offset of the extension area.
unsigned int | developer_offset
| Offset of the developer directory.
char | signature [18]
| Footer identier. Must be as long as std::string("TRUEVISION-XFILE.") + 1 (for the last '\0').

## Detailed Description

Footer of a targa file.

Definition at line 154 of file targa.hpp.

## Constructor & Destructor Documentation

## footer()

claw::graphic::targa::file_structure::footer::footer | ( |  | ) |

Constructor.

Definition at line 131 of file targa_file_structure.cpp.

References developer_offset, extension_offset, and signature.

## Member Function Documentation

## is_valid()

bool claw::graphic::targa::file_structure::footer::is_valid | ( |  | ) | const

Tell if the data of this footer is valid.

Definition at line 142 of file targa_file_structure.cpp.

References signature.

## Member Data Documentation

## developer_offset

unsigned int claw::graphic::targa::file_structure::footer::developer_offset

Offset of the developer directory.

Definition at line 166 of file targa.hpp.

Referenced by footer().

## extension_offset

unsigned int claw::graphic::targa::file_structure::footer::extension_offset

Offset of the extension area.

Definition at line 163 of file targa.hpp.

Referenced by footer().

## signature

char claw::graphic::targa::file_structure::footer::signature[18]

Footer identier. Must be as long as std::string("TRUEVISION-XFILE.") + 1 (for the last '\0').

Definition at line 170 of file targa.hpp.

Referenced by footer(), and is_valid().

The documentation for this class was generated from the following files:

- targa.hpp
- code/targa_file_structure.cpp